Skip to main content
GET
/
v1
/
checkout_links
List Checkout Links
curl --request GET \
  --url https://api.leanrails.com/v1/checkout_links \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "cl_xxx",
      "object": "checkout_link",
      "active": true,
      "mode": "payment",
      "url": "<string>",
      "title": "<string>",
      "currency": "<string>",
      "livemode": true,
      "created": 123,
      "description": "<string>",
      "after_completion": {
        "type": "redirect",
        "redirect": {
          "url": "<string>"
        },
        "hosted_confirmation": {
          "custom_message": "<string>"
        }
      },
      "billing_address_collection": "auto",
      "metadata": {},
      "custom_fields": [
        {}
      ],
      "custom_text": {},
      "inactive_message": "<string>",
      "payment_method_types": [
        "<string>"
      ],
      "allow_promotion_codes": true,
      "restrictions": {
        "completed_sessions": {
          "limit": 2
        }
      },
      "submit_type": "auto"
    }
  ],
  "has_more": true,
  "url": "/v1/checkout_links",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

active
boolean

Filter by active status.

Response

A paginated list.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/checkout_links"

next_cursor
string | null